/*
 * Project: irond
 * Package: src.de.fhhannover.inform.ifmap.communication
 * File:    ConnectionRepository.java
 *
 * Copyright (C) 2010 Fachhochschule Hannover
 * Ricklinger Stadtweg 118, 30459 Hannover, Germany 
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package de.fhhannover.inform.ifmap.communication;

import java.util.ArrayList;

public class ConnectionRepository {

	private ArrayList<Connection> mConnections = new ArrayList<Connection>();
	
	public synchronized void add(Connection c){
		if(!mConnections.contains(c)){
			mConnections.add(c);
		}
	}
	
	public synchronized void add(ConnectionParameter params){
		Connection c = new Connection(params);
		if(!mConnections.contains(c)){
			mConnections.add(c);
		}
	}
	
	public synchronized void remove(Connection c){
		mConnections.remove(c);
	}
	
	public synchronized Connection[] getConnections(){
		int length = mConnections.size();
		Connection[] cons = null;
		if(length > 0){
			cons = new Connection[length];
			for(int i = 0; i<length; i++){
				cons[i] = mConnections.get(i);
			}
		}
		return cons;
	}
}
