/*
 * Project: irond
 * Package: src.de.fhhannover.inform.ifmap.view.subscription
 * File:    QuickSubscribePanel.java
 *
 * Copyright (C) 2010 Fachhochschule Hannover
 * Ricklinger Stadtweg 118, 30459 Hannover, Germany 
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package de.fhhannover.inform.ifmap.view.subscription;

import java.awt.BorderLayout;
import java.awt.FlowLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JButton;
import javax.swing.JComponent;
import javax.swing.JPanel;

import de.fhhannover.inform.ifmap.view.ViewController;

public class QuickSubscribePanel extends JPanel {

	private static final long serialVersionUID = 4532218114117343260L;
	public final QuickMetaSubscribe mMetaPanel;
	public final JButton buttonSubscribe;
	private ViewController mViewController;
	private final JComponent mQuickComponent;
	
	public QuickSubscribePanel(JComponent c, ViewController vc){
		mViewController = vc;
		mQuickComponent = c;
		setLayout(new BorderLayout(0, 0));
		add(c, BorderLayout.NORTH);
		mMetaPanel = new QuickMetaSubscribe();
		add(mMetaPanel, BorderLayout.CENTER);
		
		JPanel panel = new JPanel();
		FlowLayout flowLayout = (FlowLayout) panel.getLayout();
		flowLayout.setAlignment(FlowLayout.RIGHT);
		add(panel, BorderLayout.SOUTH);
		
		buttonSubscribe = new JButton("Subscribe");
		buttonSubscribe.addActionListener(new ActionListener() {
			
			@Override
			public void actionPerformed(ActionEvent e) {
				mViewController.subscribe();
			}
		});
		panel.add(buttonSubscribe);
	}
	
	public JComponent getQuickComponent() {
		return mQuickComponent;
	}
}
